HepMC3 event record library: Data Fields

HepMC3 event record library

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- p0 : Clus
- p1 : Clus, Cut, PDFInfo
- p2 : Clus, Cut, PDFInfo
- p3mod() : FourVector
- p3mod2() : FourVector
- parent_event() : GenParticle, GenVertex
- PARENTS : Relatives
- parents() : GenParticle
- parse_attribute() : ReaderAscii
- parse_cross_section() : ReaderAscii
- parse_event_information() : ReaderAscii, ReaderAsciiHepMC2
- parse_heavy_ion() : ReaderAscii, ReaderAsciiHepMC2
- parse_particle_information() : ReaderAscii, ReaderAsciiHepMC2
- parse_pdf_info() : ReaderAscii, ReaderAsciiHepMC2
- parse_run_attribute() : ReaderAscii
- parse_tool() : ReaderAscii
- parse_units() : ReaderAscii, ReaderAsciiHepMC2
- parse_vertex_information() : ReaderAscii, ReaderAsciiHepMC2
- parse_weight_names() : ReaderAscii, ReaderAsciiHepMC2
- parse_weight_values() : ReaderAscii
- parse_xs_info() : ReaderAsciiHepMC2
- participant_plane_angles : GenHeavyIon
- particle() : Attribute
- particles() : GenEvent, GenEventData
- particles_empty() : GenEvent
- particles_in() : GenVertex
- particles_in_size() : GenVertex
- particles_out() : GenVertex
- particles_out_size() : GenVertex
- particles_size() : GenEvent
- parton_id : GenPdfInfo
- passCuts() : Cut
- pdf : WeightInfo
- pdf2 : WeightInfo
- pdf_id : GenPdfInfo
- pdf_info() : GenEvent
- PDFGUP : HEPRUP
- PDFGUPsave : HEPEUP
- PDFInfo() : PDFInfo
- pdfinfo : HEPEUP
- PDFSUP : HEPRUP
- PDFSUPsave : HEPEUP
- PDG_ID : StandardSelector
- pdg_id() : GenParticle
- perp() : FourVector
- perp2() : FourVector
- PHI : StandardSelector
- phi() : FourVector
- pid() : GenParticle, GenParticleData
- pos_t : XMLTag
- position() : GenVertex, GenVertexData
- precision() : WriterAscii, WriterAsciiHepMC2
- PreviousEvent() : HepMC3ViewerFrame
- print() : Clus, Cut, EventFile, Generator, HEPEUP, HEPRUP, MergeInfo, PDFInfo, ProcInfo, Scale, Scales, Weight, WeightInfo, XMLTag, XSecInfo
- print_errors() : Setup
- print_hepevt() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- print_hepevt_particle() : HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- print_warnings() : Setup
- printattrs() : TagBase
- ProcInfo() : ProcInfo
- procinfo : HEPRUP
- production_vertex() : GenParticle
- pseudoRapidity() : FourVector
- PT : StandardSelector
- pt() : FourVector
- pt2() : FourVector
- ptypes : HEPRUP
- PUP : HEPEUP
- px() : FourVector, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- py() : FourVector, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >
- pz() : FourVector, HEPEVT_Wrapper, HEPEVT_Wrapper_Runtime, HEPEVT_Wrapper_Runtime_Static, HEPEVT_Wrapper_Template< max_particles, momentum_type >